<?php
/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * Class for Article list advanced modul
 * 
 * Requirements: 
 * @con_php_req 5.2
 * 
 *
 * @package    Contenido Frontend classes
 * @version    1.0.0
 * @author     Tiago Gomes
 * @copyright  Tiago Gomes <www.tiago.de>
 * @license    
 * @link       http://www.tiago.de
 * @link       http://forum.contenido.org/viewtopic.php?p=134520#p134520
 * @since      file available since contenido release 4.8.12
 * @deprecated
 * @class      DateTimeReplaceLang
 * @brief      
 * @file       class.datetimereplacelang.php
 * @date       2010-08-20
 * 
 * {@internal 
 *   created 2010
 *   modified xxxx-xx-xx, [Modifier Name], [Description]
 *   ...
 *
 * }}
 * 
 */

if(!defined('CON_FRAMEWORK')) {
	die('Illegal call');
}

class DateTimeReplaceLang extends DateTime {
	public function format($format, $replace = 'de_DE') {
		$aEnglish = array(
						'Monday',       'Mon',
						'Tuesday',      'Tue',
						'Wednesday',    'Wed',
						'Thursday',     'Thu',
						'Friday',       'Fri',
						'Saturday',     'Sat',
						'Sunday',       'Sun',
						'January',      'Jan',
						'February',     'Feb',
						'March',        'Mar',
						'April',        'Apr',
						'May',          'May',
						'June',         'Jun',
						'July',         'Jul',
						'August',       'Aug',
						'September',    'Sep',
						'October',      'Oct',
						'November',     'Nov',
						'December',     'Dec');
		switch ($replace) {
			case 'pt_PT':
				$aReplace = array(
								'Segundafeira',         '2<sup>a</sup>feira',
								'Ter&ccedil;afeira',    '3<sup>a</sup>feira',
								'Quartafeira',          '4<sup>a</sup>feira',
								'Quintafeira',          '5<sup>a</sup>feira',
								'Sextafeira',           '6<sup>a</sup>feira',
								'S&aacute;bado',        'S&aacute;bado',
								'Domingo',              'Domingo',
								'Janeiro',              'Janeiro',
								'Fevereiro',            'Fevereiro',
								'Mar&ccedil;o',         'Mar&ccedil;o',
								'Abril',                'Abril',
								'Maio',                 'Maio',
								'Junho',                'Junho',
								'Julho',                'Julho',
								'Agosto',               'Agosto',
								'Setembro',             'Setembro',
								'Outubro',              'Outubro',
								'Novembro',             'Novembro',
								'Dezembro',             'Dezembro',);
				break;
			default:
				$aReplace = array(
								'Montag',       'Mo',
								'Dienstag',     'Di',
								'Mittwoch',     'Mi',
								'Donnerstag',   'Do',
								'Freitag',      'Fr',
								'Samstag',      'Sa',
								'Sonntag',      'So',
								'Januar',       'Jan.',
								'Februar',      'Feb.',
								'M&auml;rz',    'M&auml;r.',
								'April',        'Apr.',
								'Mai',          'Mai.',
								'Juni',         'Jun.',
								'Juli',         'Jul.',
								'August',       'Aug.',
								'September',    'Sep.',
								'Oktober',      'Okt.',
								'November',     'Nov.',
								'Dezember',     'Dez.',);
				break;
		}
		return str_replace($aEnglish, $aReplace, parent::format($format));
	}
}
?>